Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 189840 - PathLookup is not reliable
PathLookup is not reliable
Status: RESOLVED FIXED
Product: debugger
Classification: Unclassified
Component: Code
7.0
All All
: P3 (vote)
: 7.0
Assigned To: Martin Entlicher
issues@debugger
:
Depends on:
Blocks: 157767
  Show dependency treegraph
 
Reported: 2010-08-25 13:01 UTC by Martin Entlicher
Modified: 2010-08-27 03:16 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Entlicher 2010-08-25 13:01:12 UTC
PathLookup takes the original recursive lookup result. It checks for subfolders and truncates the resulting items when a subfolder appears.
But in reality, files in the path we're interested in does not have to be among the first items. They can be among the other folders.

As a result, not all registered items are returned by PathLookup.

We need to scan the whole lookup result to retrieve all files under the given path.
Comment 1 Martin Entlicher 2010-08-26 13:35:33 UTC
Fixed in changeset:   176429:8078352ee21a
http://hg.netbeans.org/main/rev/8078352ee21a
Comment 2 Quality Engineering 2010-08-27 03:16:13 UTC
Integrated into 'main-golden', will be available in build *201008270001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/8078352ee21a
User: mentlicher@netbeans.org
Log: #189840 Process all lookup items to get the ones just under the given path.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo